start_thc()     
{
  if (thc_enabled!=0) //if THC enabled
  {
    gvarset(8030,thc_avc_start);  //THC PLUS ON
  };
};

stop_thc()
{
    gvarset(8030,0);	//THC PLUS OFF
};

stop_trigger1()
{
  //stop watching for plasma sensor
  message=PLCCMD_TRIGGER1_OFF;
  timer=3;do{timer--;}while(timer>0);
};

stop_trigger2()
{
  //stop watching for plasma sensor
  message=PLCCMD_TRIGGER2_OFF;
  timer=3;do{timer--;}while(timer>0);
};

start_trigger1()
{
  //stop watching for plasma sensor
  message=PLCCMD_TRIGGER1_ON;
  timer=3;do{timer--;}while(timer>0);
};
start_trigger2()
{
  //stop watching for plasma sensor
  message=PLCCMD_TRIGGER2_ON;
  timer=3;do{timer--;}while(timer>0);
};

do_wait_pierce()
{
  timer=ihc_pierce_time;do{timer--;}while(timer>0);
};


do_wait_plasma()
{
  //timer=50;do{timer--;}while(timer>0);
  arc_on=1; //put 0 here if no ARC_ON signal connected

  if (arc_on!=0)
  {
  timer=3000; //wait till plasma arc ready
  do
  {
    timer--;
    a=portget(INPUT_ARC);
    if (a!=0) { timer=0; };
  }while(timer>0); //pause

  a=portget(INPUT_ARC); //doublecheck arc sensor
  if (a==0)
  {
    //message=PLCCMD_TRIGGER2_ON;
    timer=3;do{timer--;}while(timer>0);
    portclr(OUTPUT_PLASMA);
    exit(plc_exit_plasma_fail);
  };
  };
};


//8514 - Work POSITION
//8526 - Machine POSITION

do_lift_after_cut()
{
    gvarset(8331,100);		//AXPLUS Acceleration Time for Positioning
    timer=200;do{ a=gvarget(8332); timer--; if (timer<0){a=0;}; }while(a!=0);
    pos=gvarget(8526); //get Machine position
    pos=pos+ihc_lift_after_cut; //Add Lift 
    if (pos>(0-10)) //If too high
    {
      pos=0-10; //limit the height to "-0.1"
    };
    proc=96;
    g0moveA(0x3,0x80,pos); //absolute & machine
    do{ a=gvarget(8332);}while(a!=0); //wait lift to be done
};

//8514 - Work POSITION
//8526 - Machine POSITION


do_lift()
{
  proc=95;
  gvarset(8331,100);	                      //AXPLUS Acceleration Time for Positioning
  timer=200;do{ a=gvarget(8332); timer--; if (timer<0){a=0;}; }while(a!=0);

  pos=gvarget(8514); //get WorkPosition
  dz=ihc_lift_stop-pos;

  if (dz>0)
  {
    pos=gvarget(8526); //get Machine position
    //pos=pos+ihc_lift_after_cut; //Add Lift 
    pos=pos+dz; //Add Lift 

    if (pos>(0-10)) //If too high
    {
      pos=0-10; //limit the height to "-0.01"
    };

    g0moveA(0x3,0x80,pos); //absolute & machine
    do{ a=gvarget(8332);}while(a!=0); //wait lift to be done
  };
};


